import React, { useMemo, useEffect, useState } from 'react'
import { Input } from 'antd'

const Placeholder = (props) => {

  const { value, addons, onChange } = props
  const { title } = addons.formData

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  useEffect(() => {
    if (!value) {
      onChange(`请输入${title}`)
    }
  }, [title, value])

  return (
    <Input value={value} onChange={inputChange} />
  )

}

export default Placeholder